not compatible with Firefox 3.6.8 Rated 1 out of 5 stars

it is a very useful extension but it is too bad that it is not compatible with the latest versions of Firefox.

This review is for a previous version of the add-on (0.12.2).